Summary:	libXcursor - X Window System Cursor management library
Summary(pl.UTF-8):	Biblioteka libXcursor do zarządzania kursorami w systemie X Window
Name:		xorg-lib-libXcursor
Version:	1.1.14
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXcursor-%{version}.tar.bz2
# Source0-md5:	1e7c17afbbce83e2215917047c57d1b3
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xcursor
Obsoletes:	libXcursor
Obsoletes:	xcursor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXcursor - X Window System Cursor management library.

%description -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

%package devel
Summary:	Header files for libXcursor library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libXcursor
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xcursor-devel
Obsoletes:	libXcursor-devel
Obsoletes:	xcursor-devel

%description devel
libXcursor - X Window System Cursor management library.

This package contains the header files needed to develop programs that
use libXcursor.

%description devel -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcursor.

%package static
Summary:	Static libXcursor library
Summary(pl.UTF-8):	Biblioteka statyczna libXcursor
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xcursor-static
Obsoletes:	libXcursor-static
Obsoletes:	xcursor-static

%description static
libXcursor - X Window System Cursor management library.

This package contains the static libXcursor library.

%description static -l pl.UTF-8
Biblioteka libXcursor do zarządzania kursorami w systemie X Window.

Pakiet zawiera statyczną bibliotekę libXcursor.

%prep
%setup -q -n libXcursor-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# there's no man3x in pld
grep -rl man3x $RPM_BUILD_ROOT%{_mandir}/man3/* | xargs %{__sed} -i -e 's,man3x,man3,'

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXcursor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcursor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcursor.so
%{_libdir}/libXcursor.la
%dir %{_includedir}/X11/Xcursor
%{_includedir}/X11/Xcursor/Xcursor.h
%{_pkgconfigdir}/xcursor.pc
%{_mandir}/man3/Xcursor*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcursor.a
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXcursor.git;a=log;h=master

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 129b897
- up to 1.1.14; fixes CVE-2013-2003

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 297a2db
- updated to 1.1.13

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 6c09e7f
- updated to 1.1.12

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 25c79b9
- updated to 1.1.11

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> ba42aff
- rebuild
- rel 2

* Wed Sep 30 2009 Jakub Bogusz <qboosh@pld-linux.org> e82658b
- updated util-macros version
- ghost soname symlink
- added README to doc
- more verbose files and descs

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 97efc54
- up to 1.1.10

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a7f3ad
- release 2

* Fri Aug 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8411afa
- up to 1.1.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b596a28
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94255fb
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 833e29a
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> bf17148
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 8d082f8
- updated to 1.1.8

* Sun Jun 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 3a12f52
- updated to 1.1.7

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d559280
- up to 1.1.6

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 2fbfe67
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> eddf909
- sources from X11R7.0 release

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 87e6c28
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 1a74b2f
- -devel desc fixes

